<?php

Doo::loadCore('db/DooModel');

/**
 * 用户表
 */
class Afileup extends DooModel {

    public $aid;
    public $pid;
    public $stid;
    public $mpid;
    public $pmid;
    public $numpname;
    public $times;
    public $auditoruid;
    public $filepath;
    public $ziphashcode;
    public $filehashcode;
    public $isnew;
    public $intime;
    public $_table = 'jl_attachment';
    public $_primarykey = 'aid';
    public $_fields = array('aid', 'pid', 'stid', 'mpid', 'pmid', 'numpname', 'times', 'auditoruid', 'filepath', 'ziphashcode', 'filehashcode', 'isnew', 'intime');

    public function __construct() {
	parent::setupModel(__CLASS__);
    }

    public function createFile($pid, $stid, $mpid, $pmid, $numpname, $auditoruid, $filepath, $ziphashcode = 0, $filehashcode, $isnew, $times = 0) {
	$this->pid = $pid;
	$this->stid = $stid;
	$this->mpid = $mpid;
	$this->pmid = $pmid;
	$this->numpname = $numpname;
	if ($times > 0)
	    $this->times = $times;
	$this->auditoruid = $auditoruid;
	$this->filepath = $filepath;
	if ($ziphashcode > 0)
	    $this->ziphashcode = $ziphashcode;
	$this->filehashcode = $filehashcode;
	$this->isnew = $isnew;
	$this->intime = time();
	return $this->insert();
    }

}

?>